import util from '@/pages/login/util.js'
import ParamsSign from 'js-security-jdxcx'; 
let loginPlugin = requirePlugin('loginPlugin');
export function goToLocation(item) {
    //小程序内链接
    if(item.busType == 3 && item.link){
        uni.navigateTo({
            url: item.link
        })
        return
    } 
	let token = uni.getStorageSync('userToken')
	if (!token) {
	    uni.setStorageSync('jdNavToObj', item)
	    let returnPage= '/pages/main';
	    let pageType = "reLaunch"
        this.$jdLoginPage(returnPage, pageType)
	    return
	}
	//H5链接,判断链接是否设置
	if(item.busType == 1 && item.link){
	    util.navigateToH5({page:item.link})
	} 
	//小程序链接,需要判断链接和appId是否都设置
	if(item.busType == 2 && item.appId != null && item.link){ 
	    uni.navigateToMiniProgram({
	        appId: item.appId, // 跳转目标小程序的id
	        path: item.link, // 目标小程序的页面路径
	        extraData: { // 需要携带的参数
	            
	        },
	        success:(res)=> {
	            // 打开成功
	            
	        },
	        fail:()=>{
	            
	        }
	    })
	}
    
}



export function jdLoginPage(returnPage, pageType, successCallback) { 
    //设置加固对象
    loginPlugin.setParamsSign && loginPlugin.setParamsSign(ParamsSign);
    var url = '/pages/login/index/index?returnPage=' +  (returnPage ? returnPage : '') + "&pageType=" + (pageType ? pageType: '');
    console.log('url', url);
    uni.navigateTo({
    	url: url,
        success:()=>{
        	if(successCallback) {
                successCallback();
            }
        }
    })
}